Skip to main content
GET
/
v2
/
account
/
payment-session
List payment sessions
curl --request GET \
  --url https://api.example.com/v2/account/payment-session/ \
  --header 'Authorization: Bearer <token>'
{
  "cursor": "<string>",
  "paymentSessions": [
    {
      "appearance": {
        "accent": "<string>",
        "accentForeground": "<string>",
        "background": "<string>",
        "border": "<string>",
        "card": "<string>",
        "destructive": "<string>",
        "foreground": "<string>",
        "input": "<string>",
        "locale": "<string>",
        "logoUrl": "<string>",
        "mutedForeground": "<string>",
        "popover": "<string>",
        "primary": "<string>",
        "primaryForeground": "<string>",
        "radius": "<string>",
        "ring": "<string>",
        "secondary": "<string>",
        "secondaryForeground": "<string>",
        "showBrlaLogo": true,
        "showPoweredBy": true,
        "widgetBackground": "<string>"
      },
      "createdAt": "<string>",
      "creatorFullName": "<string>",
      "expiresAt": "<string>",
      "externalId": "<string>",
      "id": "<string>",
      "mainAccountId": "<string>",
      "metadata": {},
      "onCompleteRedirectionUrl": "<string>",
      "outputCurrency": "<string>",
      "paymentOptions": [
        {
          "amount": 123,
          "currency": "<string>",
          "paymentMethod": "<string>"
        }
      ],
      "subAccountId": "<string>",
      "ticketId": "<string>",
      "ticketJson": [
        123
      ],
      "ticketStatus": "<string>",
      "updatedAt": "<string>",
      "workspaceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

createdAfter
integer<int64>

Unix timestamp (seconds) lower bound (inclusive).

createdBefore
integer<int64>
cursor
string
externalId
string
ticketStatus
string

Response

OK

cursor
string
paymentSessions
object[]